<!-- élément testé par Karma -->
<div class="content" role="main">

  <div class="container">

    <!-- élément testé par Karma -->
    <span>{{ title }} app is running!</span>

  <div class="row">
    <div class="col-md-8">
      <div class="row divTeam">
        <input 
        class="form-control col-sm-3"
        [(ngModel)]="nomEquipe" placeholder="Nom de l'Equipe">
        &nbsp;
        <button class="btn btn-success col-sm-1" (click)="onAjouterEquipe()">
          <i class="fa fa-plus"></i>
        </button>
      </div>
      <div id="demo">
        <app-equipe 
        *ngFor="let e of entreprise.equipes;let i= index"
        [equipe]="e"
        [i]="i"
        ></app-equipe>

      </div>
    </div>
    <div class="col-md-4">
      <div class="divUser">
        <form (ngSubmit)="onAjouterPersonne(a)" #a="ngForm">
          <table>
            <tr>
              <td><input 
                placeholder="Prénom"
                class="form-control"
                type="text" name="prenom" ngModel></td>
            </tr>
            <tr>
              <td><input
                placeholder="Nom"
                class="form-control"
               type="text" name="nom" ngModel></td>
            </tr>

            <tr>
              
              <td>
                <select name="equipe"
                class="form-control" 
                [(ngModel)]="defaultEquipe" ngModel>
                <option value="0">Pas d'Equipe</option> 
                <option 
                *ngFor="let e of entreprise.equipes"
                [ngValue]="e"
                >
                {{ e.nom }}
              </option>  
            </select>

          </td>
        </tr>


      </table>
      <br>
      <button class="btn btn-success col-sm-8" type="submit"
      >
      <i class="fa fa-plus"></i>
    </button>
  </form>
</div><!-- divUser -->  



<div class="divListUser">

  <table id="tabListUser">    
    <tr *ngFor="let p of entreprise.personnes;let i = index">
      <td>  {{p.prenom }} {{p.nom}}
      </td>
      <td>
        <button class="btn btn-warning" 
        (click)="onEnleverPersonne(i)">
        <i class="fa fa-trash"></i>
      </button>
    </td>
  </tr>

</table>
</div>

</div>  <!-- col4 -->
</div><!-- row -->
</div><!-- container -->
</div><!-- content -->